'\" t
.\"     Title: DROP TYPE
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "DROP TYPE" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_TYPE \- remove a data type
.SH "SYNOPSIS"
.sp
.nf
DROP TYPE [ IF EXISTS ] \fIname\fR [, \&.\&.\&.] [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP TYPE\fR
removes a user\-defined data type\&. Only the owner of a type can remove it\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the type does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of the data type to remove\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects that depend on the type (such as table columns, functions, and operators), and in turn all objects that depend on those objects (see
Section 5.13, \(lqDependency Tracking\(rq, in the documentation)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the type if any objects depend on it\&. This is the default\&.
.RE
.SH "EXAMPLES"
.PP
To remove the data type
box:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP TYPE box;
.fi
.if n \{\
.RE
.\}
.SH "COMPATIBILITY"
.PP
This command is similar to the corresponding command in the SQL standard, apart from the
IF EXISTS
option, which is a
PostgreSQL
extension\&. But note that much of the
\fBCREATE TYPE\fR
command and the data type extension mechanisms in
PostgreSQL
differ from the SQL standard\&.
.SH "SEE ALSO"
ALTER TYPE (\fBALTER_TYPE\fR(7)), CREATE TYPE (\fBCREATE_TYPE\fR(7))
